#ifndef _YGGDRASIL_STDIO_H
#define _YGGDRASIL_STDIO_H 1

#if defined(__cplusplus)
extern "C" {
#endif

struct __FILE;
typedef struct __FILE FILE;

#define P_tmpdir "/tmp"

extern FILE *stdin;
extern FILE *stdout;
extern FILE *stderr;

int asprintf(char **strp, const char *fmt, ...);
int dprintf(int fd, const char *fmt, ...);
int fprintf(FILE *fp, const char *fmt, ...);
int printf(const char *fmt, ...);
int snprintf(char *buf, size_t len, const char *fmt, ...);
int sprintf(char *buf, const char *fmt, ...);
int sscanf(const char *str, const char *fmt, ...);
int scanf(const char *fmt, ...);
int fscanf(FILE *fp, const char *fmt, ...);

#if defined(__cplusplus)
}
#endif

#endif
